/*
 * Class WEL_PRINTER_INFO_2
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_771 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_771 [] = {0xFF01,1551,770,0xFFFF};
static const EIF_TYPE_INDEX egt_2_771 [] = {0xFF01,770,0xFFFF};
static const EIF_TYPE_INDEX egt_3_771 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_771 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_771 [] = {0xFF01,770,0xFFFF};
static const EIF_TYPE_INDEX egt_6_771 [] = {0xFF01,770,0xFFFF};
static const EIF_TYPE_INDEX egt_7_771 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_771 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_771 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_771 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_771 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_771 [] = {0xFF01,770,0xFFFF};
static const EIF_TYPE_INDEX egt_13_771 [] = {0xFF01,619,0xFFFF};
static const EIF_TYPE_INDEX egt_14_771 [] = {0xFF01,619,0xFFFF};
static const EIF_TYPE_INDEX egt_15_771 [] = {0xFF01,619,0xFFFF};
static const EIF_TYPE_INDEX egt_16_771 [] = {0xFF01,619,0xFFFF};
static const EIF_TYPE_INDEX egt_17_771 [] = {0xFF01,619,0xFFFF};
static const EIF_TYPE_INDEX egt_18_771 [] = {0xFF01,619,0xFFFF};
static const EIF_TYPE_INDEX egt_19_771 [] = {0xFF01,619,0xFFFF};
static const EIF_TYPE_INDEX egt_20_771 [] = {0xFF01,619,0xFFFF};
static const EIF_TYPE_INDEX egt_21_771 [] = {0xFF01,619,0xFFFF};
static const EIF_TYPE_INDEX egt_22_771 [] = {0xFF01,619,0xFFFF};


static const struct desc_info desc_771[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_771), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_771), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17573, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_771), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17572, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_771), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_771), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_771), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_771), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_771), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_771), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_771), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_771), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_771), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0605 /*770*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_771), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17169, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16092, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17161, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17162, 4},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17163, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17164, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17165, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17166, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17167, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17168, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17577, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17170, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17571, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17574, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17575, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17576, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18090, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17578, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17579, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17580, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17581, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17582, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18070, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x04D7 /*619*/), 18071, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_771), 18072, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_771), 18073, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_771), 18074, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_771), 18075, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_771), 18076, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_771), 18077, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_771), 18078, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_771), 18079, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_771), 18080, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_771), 18081, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18082, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18083, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18084, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18085, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18086, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18087, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18088, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18089, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 18091, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 18092, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 18093, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 18094, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 18095, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 18096, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 18097, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 18098, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 18099, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 18100, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 18101, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 18060, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 18061, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18062, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18063, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18064, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18065, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18066, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18067, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18068, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18069, 0xFFFFFFFF},
};
void Init771(void)
{
	IDSC(desc_771, 0, 770);
	IDSC(desc_771 + 1, 1, 770);
	IDSC(desc_771 + 32, 791, 770);
	IDSC(desc_771 + 34, 1359, 770);
	IDSC(desc_771 + 44, 1308, 770);
	IDSC(desc_771 + 54, 1220, 770);
}


#ifdef __cplusplus
}
#endif
